ID Links
List ID Links
Retrieve KYC verification links for the authenticated instance
GET
/
customers
/
api
/
id-links
curl "https://api.trusset.org/customers/api/id-links?status=pending&limit=20" \
-H "X-API-Key: trusset_abc123xy_secret..."
const params = new URLSearchParams({ status: 'pending', limit: '20' });
const response = await fetch(
`https://api.trusset.org/customers/api/id-links?${params}`,
{ headers: { 'X-API-Key': 'trusset_abc123xy_secret...' } }
);
const { data: links, metadata } = await response.json();
{
"success": true,
"data": [
{
"id": "link_abc123",
"url": "https://verify.trusset.org/link_abc123",
"status": "pending",
"email": "[email protected]",
"walletAddress": "0xAbC123dEf456789012345678901234567890AbCd",
"createdAt": "2025-06-15T12:00:00.000Z",
"expiresAt": "2025-06-22T12:00:00.000Z"
}
],
"metadata": {
"total": 1,
"requestId": "550e8400-e29b-41d4-a716-446655440000",
"timestamp": "2025-06-15T12:00:00.000Z"
}
}
Returns a paginated list of identity verification links created for the authenticated instance.
Query Parameters
string
Filter by link status (e.g.,
pending, completed, revoked, expired).integer
default:"50"
Number of results per page.
integer
default:"0"
Number of results to skip for pagination.
Response Fields
boolean
Request status
array
Array of ID link objects
object
curl "https://api.trusset.org/customers/api/id-links?status=pending&limit=20" \
-H "X-API-Key: trusset_abc123xy_secret..."
const params = new URLSearchParams({ status: 'pending', limit: '20' });
const response = await fetch(
`https://api.trusset.org/customers/api/id-links?${params}`,
{ headers: { 'X-API-Key': 'trusset_abc123xy_secret...' } }
);
const { data: links, metadata } = await response.json();
{
"success": true,
"data": [
{
"id": "link_abc123",
"url": "https://verify.trusset.org/link_abc123",
"status": "pending",
"email": "[email protected]",
"walletAddress": "0xAbC123dEf456789012345678901234567890AbCd",
"createdAt": "2025-06-15T12:00:00.000Z",
"expiresAt": "2025-06-22T12:00:00.000Z"
}
],
"metadata": {
"total": 1,
"requestId": "550e8400-e29b-41d4-a716-446655440000",
"timestamp": "2025-06-15T12:00:00.000Z"
}
}
⌘I
curl "https://api.trusset.org/customers/api/id-links?status=pending&limit=20" \
-H "X-API-Key: trusset_abc123xy_secret..."
const params = new URLSearchParams({ status: 'pending', limit: '20' });
const response = await fetch(
`https://api.trusset.org/customers/api/id-links?${params}`,
{ headers: { 'X-API-Key': 'trusset_abc123xy_secret...' } }
);
const { data: links, metadata } = await response.json();
{
"success": true,
"data": [
{
"id": "link_abc123",
"url": "https://verify.trusset.org/link_abc123",
"status": "pending",
"email": "[email protected]",
"walletAddress": "0xAbC123dEf456789012345678901234567890AbCd",
"createdAt": "2025-06-15T12:00:00.000Z",
"expiresAt": "2025-06-22T12:00:00.000Z"
}
],
"metadata": {
"total": 1,
"requestId": "550e8400-e29b-41d4-a716-446655440000",
"timestamp": "2025-06-15T12:00:00.000Z"
}
}
